Page MenuHomePhabricator

First draft of timeline of WMF technical development
Closed, ResolvedPublic

Description

Create a timeline of WMF technical development. This should be very simple: headlines for every year, than a name of the product/development and a link to where one can read more.

The purposes this serves:

  • Transparency. It gives an overview of what the WMF has spent its time and technical resources.
  • Historical overview. It's easy to forget how much things change, and when. This could serve as a reminder to those of us who have edited for a long time that the status quo wasn't always the status quo.

When people ask us "so, what does the WMF really do?" we should have a good answer. This is part of that.

WIP at https://meta.wikimedia.org/wiki/User:Johan_(WMF)/Timeline

See also

Event Timeline

Johan created this task.Apr 24 2016, 9:37 PM
Restricted Application added a project: User-Johan. · View Herald TranscriptApr 24 2016, 9:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Johan renamed this task from Create timeline of WMF technical development to Figure out how to best do timeline of WMF technical development.Apr 24 2016, 10:58 PM
Peachey88 updated the task description. (Show Details)Apr 25 2016, 4:25 AM
Qgil added a subscriber: Qgil.

Any reason to choose Meta over mediawiki.org? In principle, it is useful to default to mw.o for documenting technical development, but of course other factors might come to play.

That's just a draft in my userspace. It can be moved.

The main reason to keep it on Meta is that it is less technical documentation and more of a history of what we've done, aimed at the general community. Most of them never go to Meta, but Meta is still one step closer to the average Wikimedian than mw.org.

Johan renamed this task from Figure out how to best do timeline of WMF technical development to First draft of timeline of WMF technical development.Apr 25 2016, 12:12 PM
Qgil added a comment.Apr 25 2016, 1:04 PM

I want to challenge the hypothesis of "editors go to mediawiki.org less than Meta" vs the hypothesis of "where will a timeline of WMF development be better maintained".

It's a new page that will need to be linked from somewhere. Users of those somewhere pages will follow the links to wherever these links lead. Interwiki links can do the rest, if they are interested and want to watch the page.

Johan added a comment.May 9 2016, 12:31 PM
This comment was removed by Johan.

The draft now includes some twenty items, and an explanation of what it's supposed to do and why.

Qgil added a comment.May 30 2016, 9:19 AM

https://meta.wikimedia.org/wiki/User:Johan_(WMF)/Timeline looks like a useful list indeed. You might want to ask for additional input in wikitech-l.

Will post there in a week or so. Have reached out to some other places to get some feedback before I post on mailing lists.

Qgil updated the task description. (Show Details)Jun 7 2016, 11:36 AM
Johan closed this task as Resolved.Jun 27 2016, 7:01 PM
Qgil added a comment.Jun 28 2016, 8:48 PM

It would be nice to have a final destination for this page.

Johan moved this task from Backlog to Archive on the User-Johan board.Jul 26 2017, 3:24 AM